Subject: bug#55706: 29.0.50; files test fails about 20% of the time

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 May 2022 16:44:34 +0200

I can't reproduce this reliably, but in about 20% of the times I run
"make check", this test fails:

Test files-tests-file-name-non-special-file-in-directory-p condition:
    (ert-test-failed
     ((should
       (file-in-directory-p nospecial nospecial-tempdir))
      :form
      (file-in-directory-p "/:/tmp/files-testsuqfdq1.special" "/:/tmp/")
      :value nil))
   FAILED   52/112  files-tests-file-name-non-special-file-in-directory-p (0.001158 sec) at lisp/files-tests.el:692

Michael wrote the test, so I've added him to the CCs.

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.16.0)
 of 2022-05-17 built on xo
Repository revision: 803041e01474f2a522170c9f388068e8460be2ae
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Debian GNU/Linux bookworm/sid

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no